
Figure - Bug #118568
【IOVDEV-32821】【内部】【VC1】【0072】【台架】【EE环境】【副屏】副屏高延迟响应，预制应用黑屏
画面失帧
2023-06-06 11:03 - CD TEST-方永红

Status: CLOSED Start date: 2023-06-06

Priority: High Due date:

Assignee: CD SYSTEM-胡兵 % Done: 0%

Category: 卡顿 Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 0106

Resolution: -- Degrated: --

Severity: Major Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause:

Description

【环境信息】EE环境

【问题出现时间】：2023-06-06 09:29

【开机次数】：第254次

【前提条件】：

1.副屏上电

【问题操作步骤】：

1.打开预制应用

2.右侧边缘左滑返回上一级手势

3.打开设置应用

4.右侧边缘左滑返回上一级手势

5.顶部下拉控制中心

【实际结果】：打开应用响应时间很久并且黑屏一会儿才响应出来画面，返回上一级也是响应很久，以及下拉控制中心也是响应很久，

页面失帧卡顿

【期望结果】：设备使用流畅，响应快速

【备注】：预制应用响应如此高，黑屏以及失帧，无法接收，请分析并修复为何如此卡顿

台架实时Log地址：https://ofs.human-horizons.com/#/download/index/n55A8HGMmrs%3D

台架历史Log地址：https://ofs.human-horizons.com/#/download/index/G70iZTkgi6Q%3D

台架视频地址：https://ofs.human-horizons.com/#/download/index/mreGRW9qaHM%3D

【影响版本】：副屏：01.00.0106.C104

【VIN】：HRYTTESTVINMGM400

【硬件版本号】：/

【是否能恢复】：

History

#1 - 2023-06-06 11:05 - CD TEST-方永红

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/118568
#2 - 2023-06-06 18:19 - CD FW 曹覃刚

- Assignee changed from CD FW 曹覃刚 to CD SYSTEM-夏旭

Hi 夏旭

如飞书沟通，请先帮忙检查日志缺失问题

客户提供的实时日志时间为: 09:33

历史日志记录到的最后时间: 09:18

缺少09:18~09:33之间的日志, 永红帮忙在云端也看了下，也缺少这个时间段的日志

注:另外我们猜测出现响应慢的原因可能本身就与TLOG有关，这段时间刚好没有TLOG输出，是不是tlog之前同件的内存问题？

#3 - 2023-06-07 11:40 - CD SYSTEM-胡兵

- Status changed from New to ASSIGNED

- Assignee changed from CD SYSTEM-夏旭 to CD FW 曹覃刚

Hi 覃刚

01.00.0106.C104版本是6月2号出的，Tlog内存泄露workaround是6月1号合入，从日志看，Tlog 内存使用ok，未触发Kill动作

FSEM_000254_0762_0606091827/logcat/000254_persist_02852_230606_091021.log:321:06-06 09:10:37.644     0     0 I [49959.885089] KTlog: tlogd.sh,4533, RSS=188

FSEM_000254_0762_0606091827/logcat/000254_persist_02852_230606_091021.log:322:06-06 09:10:37.644     0     0 I [49959.885092] KTlog: tlogd.sh,4528, RSS=855

日志中未发现tlog内存泄露关键词(Scudo)，也未发现OOM/Lowmemorykill等关键词；

按照之前分析tlog内存泄露日志参考，tlog优先级很高，出现内存泄露会伴随着lowmemorykill等动作，最后会同步kill tlog与system_server;

日志中未发现system_server、tlog被kill的动作，即使tlog被kill也会自动重启,sys.system_server.start_count =1 

tlog并没有主动停止的调用；

历史日志中最晚的时间点为：254次开机 0606 09：18

FSEM_000254_0762_0606091827/logcat/000254_persist_02859_230606_091802.log.ing

手动日志时间为：254次开机 0606 09：33

000254_manual_00000_230606_093348.log

从开机时间上看，没有重启动作；

综上，怀疑卡顿发生是，tlog进程被block，无法进行调用，新起的手动抓取动作可以进行；

此问题可以作为专项测试，进一步获取现场debug，抓取实时日志、trace等

#4 - 2023-06-09 17:19 - CD FW 曹覃刚

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from CD FW 曹覃刚 to CDTS_TEST 王成

Hi 王成

此问题可以作为专项测试，进一步获取现场debug，抓取实时日志、trace等

胡兵应该飞书与你沟通过，需要安排专项测试，请确认
#5 - 2023-06-25 14:18 - CDTS_TEST 王成

- Assignee changed from CDTS_TEST 王成 to CD SYSTEM-胡兵

请确认抓取cpu占用率，内存使用，systrace等信息的脚本，需要解决USER版本上抓取失败等问题

#6 - 2023-08-01 15:57 - CDTS_TEST 王成

- Status changed from NEED_INFO to RESOLVED

客户已关闭BUG

#7 - 2023-08-01 15:57 - CDTS_TEST 王成

- Status changed from RESOLVED to VERIFIED

#8 - 2023-08-01 15:57 - CDTS_TEST 王成

- Status changed from VERIFIED to CLOSED
